# EDIT IN SVN NOT IN SOURCE PACKAGE (NO PATCH ALLOWED).

%define lib_major 0.11
%define lib_minor 2
%define lib_name %mklibname %{name} %{lib_major}
%define develname %mklibname %name -d

%define build_diet 1

Name:    	ldetect
Version: 	%{lib_major}.%{lib_minor}
Release: 	%mkrel 2
Summary: 	Light hardware detection tool
Source: 	%{name}-%{version}.tar.xz
Group: 		System/Kernel and hardware
URL:	  	http://www.mandrivalinux.com
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	usbutils
BuildRequires:	pciutils-devel
BuildRequires:	zlib-devel
BuildRequires:	modprobe-devel
%if %{build_diet}
BuildRequires: dietlibc-devel
%endif
License: GPL
Obsoletes:  %name < %version
Provides:   %{lib_name} = %version-%release

%description 
The hardware device lists provided by this package are used as lookup 
table to get hardware autodetection


%package devel
Summary: Development package for ldetect
Requires: %{name} = %{version}
Provides: ldetect-devel = %version, libldetect-devel = %version
Obsoletes: ldetect-devel
Group: Development/Libraries
Conflicts: %{mklibname ldetect 0.6}-devel
Conflicts: %{mklibname ldetect 0.7}-devel
Obsoletes: %mklibname %name 0.7 -d
Obsoletes: libldetect-devel
Provides: libldetect-devel = %version-%release

%description devel
see %name

%prep
%setup -q

%build
%if %{build_diet}
%make CFLAGS="-Os -D_BSD_SOURCE -D_FILE_OFFSET_BITS=64" CC="diet gcc" libldetect.a
cp libldetect.a libldetect-diet.a
make clean
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%if %{build_diet}
install -d $RPM_BUILD_ROOT%{_prefix}/lib/dietlibc/lib-%{_arch}
install libldetect-diet.a $RPM_BUILD_ROOT%{_prefix}/lib/dietlibc/lib-%{_arch}/libldetect.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS
%_bindir/*
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog
%_includedir/*
%_libdir/*.a
%if %{build_diet}
%{_prefix}/lib/dietlibc/lib-%{_arch}/libldetect.a
%endif
%_libdir/*.so


%changelog
* Sat May 24 2014 bb <bb> 0.11.2-2pclos2014
- adjust max devices to 300 in common.h file to avoid segfault
- use "/lib/modules" instead of MODULE_DIR in modalias.c file

* Mon May 19 2014 TerryN <terryn94 at gmail.com> 0.11.2-1pclos2014
- Fix detection of USB devices on kernels > 3.4

* Sun Apr 04 2010 johnny black <johnnyblack at inbox.com> 0.11.1-1pclos2010
- 0.11.1 and build against updated pciutils

* Sun Oct 25 2009 Texstar <texstar at gmail.com> 0.11.0-1pclos2010
- 0.11.0
- merge into 2 packages

